package com.crm.manager.dao.repository;

import com.crm.rely.backend.core.pojo.table.UserResignTable;
import com.crm.rely.backend.dao.repository.BaseRepository;
import org.springframework.data.jpa.repository.Lock;
import org.springframework.stereotype.Repository;

import javax.persistence.LockModeType;

@Repository
public interface UserResignRepository extends BaseRepository<UserResignTable> {

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    UserResignTable findFirstById(Long id);

    UserResignTable getFirstById(Long id);

    UserResignTable getFirstByUserId(Long userId);
}
